package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel(
   value = "货品食安要求表",
   description = "货品食安要求表"
)
public class MenuMaterialFoodSafeConfig {
   @ApiModelProperty("主键id")
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   private Long id;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("是否检测(1是2否)")
   private Integer ifNeedDetect;
   @ApiModelProperty("检测机构(1自检,2供应商检,3自检或供应商检,4自检且供应商检)")
   private Integer detectInstitution;
   @ApiModelProperty("检测项目(1农残,2兽残,3真菌毒素)")
   private Integer detectItem;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Integer getIfNeedDetect() {
      return this.ifNeedDetect;
   }

   public Integer getDetectInstitution() {
      return this.detectInstitution;
   }

   public Integer getDetectItem() {
      return this.detectItem;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public MenuMaterialFoodSafeConfig setId(final Long id) {
      this.id = id;
      return this;
   }

   public MenuMaterialFoodSafeConfig setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public MenuMaterialFoodSafeConfig setIfNeedDetect(final Integer ifNeedDetect) {
      this.ifNeedDetect = ifNeedDetect;
      return this;
   }

   public MenuMaterialFoodSafeConfig setDetectInstitution(final Integer detectInstitution) {
      this.detectInstitution = detectInstitution;
      return this;
   }

   public MenuMaterialFoodSafeConfig setDetectItem(final Integer detectItem) {
      this.detectItem = detectItem;
      return this;
   }

   public MenuMaterialFoodSafeConfig setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public MenuMaterialFoodSafeConfig setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public MenuMaterialFoodSafeConfig setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public MenuMaterialFoodSafeConfig setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
}
